diff -ruN --no-dereference --exclude=*.rej --exclude=*.orig --exclude=*.c.orig ocamlnet-4.1.9.clean/src/equeue/unixqueue_select.ml ocamlnet-4.1.9.patched/src/equeue/unixqueue_select.ml
--- src/equeue/unixqueue_select.ml	2021-03-24 16:20:14
+++ src/equeue/unixqueue_select.ml	2026-05-29 06:31:43
@@ -35,7 +35,7 @@
 module Fdescr = struct
   type t = Unix.file_descr
 
-  let compare (a:t) (b:t) = Pervasives.compare a b
+  let compare (a:t) (b:t) = compare a b
 
 end;;
 
diff -ruN --no-dereference --exclude=*.rej --exclude=*.orig --exclude=*.c.orig ocamlnet-4.1.9.clean/src/equeue/unixqueue_util.ml ocamlnet-4.1.9.patched/src/equeue/unixqueue_util.ml
--- src/equeue/unixqueue_util.ml	2021-03-24 16:20:14
+++ src/equeue/unixqueue_util.ml	2026-05-29 06:31:43
@@ -179,7 +179,7 @@
 let fd_cmp =
   match Sys.os_type with
     | "Win32" ->
-	Pervasives.compare
+        compare
     | _ ->
 	(fun (fd1:Unix.file_descr) fd2 ->
 	   (Obj.magic fd1 : int) - (Obj.magic fd2 : int)
diff -ruN --no-dereference --exclude=*.rej --exclude=*.orig --exclude=*.c.orig ocamlnet-4.1.9.clean/src/equeue/uq_engines.ml ocamlnet-4.1.9.patched/src/equeue/uq_engines.ml
--- src/equeue/uq_engines.ml	2021-03-24 16:20:14
+++ src/equeue/uq_engines.ml	2026-05-29 06:31:43
@@ -121,7 +121,7 @@
   Set.Make
     (struct
        type t = int
-       let compare (x:t) (y:t) = Pervasives.compare x y
+       let compare (x:t) (y:t) = compare x y
      end
     )
 
@@ -593,57 +593,6 @@
     e#abort();
     self # set_state `Aborted
 end
-
-
-
-class ['a] stream_seq_engine x0 (s : ('a -> 'a #engine) Stream.t)  esys =
-object(self)
-  inherit ['a] engine_mixin (`Working 0) esys
-
-  val mutable x = x0
-  val mutable cur_e = aborted_engine esys
-
-  initializer
-    self#next()
-
-  method private next() =
-    match Stream.peek s with
-      | None ->
-	  self # set_state (`Done x)
-      | Some f ->
-	  let _ = Stream.next s in  (* yep, it's "partial" *)
-	  let e =
-	    try (f x :> _ engine)
-	    with error -> const_engine (`Error error) esys in
-	  cur_e <- e;
-	  if is_active e#state then
-	    when_state
-	      ~is_done:(fun x1 -> 
-			  x <- x1;
-			  Unixqueue.epsilon esys self#next
-			    (* avoids stack overflow *)
-		       )
-	      ~is_error:(fun e -> self # set_state (`Error e))
-	      ~is_aborted:(fun () -> self # set_state `Aborted)
-	      ~is_progressing:(fun _ -> self # sseq_count())
-	      e
-	  else
-	    self # set_state e#state
-
-  method abort() =
-    cur_e # abort();
-    self # set_state `Aborted
-
-  method private sseq_count() =
-    match self#state with
-	`Working n ->
-	  self # set_state (`Working (n+1))
-      | _ ->
-	  ()
-end
-
-
-let stream_seq_engine = new stream_seq_engine
 
 
 
diff -ruN --no-dereference --exclude=*.rej --exclude=*.orig --exclude=*.c.orig ocamlnet-4.1.9.clean/src/equeue/uq_engines.mli ocamlnet-4.1.9.patched/src/equeue/uq_engines.mli
--- src/equeue/uq_engines.mli	2021-03-24 16:20:14
+++ src/equeue/uq_engines.mli	2026-05-29 06:31:43
@@ -354,25 +354,6 @@
       [qseq_engine] should be preferred for recursive chains of engines.
    *)
 
-class ['a] stream_seq_engine : 'a -> ('a -> 'a #engine) Stream.t -> 
-                               Unixqueue.event_system -> ['a] engine
-  (** [let se = new stream_seq_engine x0 s esys]: The constructed engine [se]
-    * fetches functions [f : 'a -> 'a #engine] from the stream [s], and
-    * runs the engines obtained by calling these functions [e = f x] one
-    * after the other. Each function call gets the result of the previous
-    * engine as argument. The first call gets [x0] as argument.
-    *
-    * If one of the engines [e] transitions into an error or aborted state,
-    * [se] will also do that. If [se] is aborted, this is passed down to
-    * the currently running engine [e].
-   *)
-
-
-val stream_seq_engine : 'a -> ('a -> 'a #engine) Stream.t -> 
-                         Unixqueue.event_system -> 'a engine
-  (** Same as function *)
-
-
 class ['a, 'b] sync_engine : 'a #engine -> 'b #engine -> ['a * 'b] engine
   (** This engine runs two engines in parallel, and waits until both
    * are [`Done] (synchronization). The product of the two [`Done] arguments 
diff -ruN --no-dereference --exclude=*.rej --exclude=*.orig --exclude=*.c.orig ocamlnet-4.1.9.clean/src/equeue/uq_engines_compat.mli ocamlnet-4.1.9.patched/src/equeue/uq_engines_compat.mli
--- src/equeue/uq_engines_compat.mli	2021-03-24 16:20:14
+++ src/equeue/uq_engines_compat.mli	2026-05-29 06:31:43
@@ -105,12 +105,6 @@
 class ['a, 'b] qseq_engine : 'a #engine -> ('a -> 'b #engine) -> ['b] engine
 val qseq_engine : 'a #engine -> ('a -> 'b #engine) -> 'b engine
 
-class ['a] stream_seq_engine : 'a -> ('a -> 'a #engine) Stream.t -> 
-                               Unixqueue.event_system -> ['a] engine
-
-val stream_seq_engine : 'a -> ('a -> 'a #engine) Stream.t -> 
-                         Unixqueue.event_system -> 'a engine
-
 class ['a, 'b] sync_engine : 'a #engine -> 'b #engine -> ['a * 'b] engine
 
 val sync_engine : 'a #engine -> 'b #engine -> ('a * 'b) engine
diff -ruN --no-dereference --exclude=*.rej --exclude=*.orig --exclude=*.c.orig ocamlnet-4.1.9.clean/src/netcgi2-apache/apache.c ocamlnet-4.1.9.patched/src/netcgi2-apache/apache.c
--- src/netcgi2-apache/apache.c	2021-03-24 16:20:14
+++ src/netcgi2-apache/apache.c	2026-05-29 06:32:02
@@ -78,9 +78,9 @@
   table *t = Table_val (tv);
   const char *res = apr_table_get(t, String_val (str));
   if (res)
-    CAMLreturn (copy_string (res));
+    CAMLreturn (caml_copy_string (res));
   else
-    raise_not_found ();
+    caml_raise_not_found ();
 }
 
 static int
@@ -88,8 +88,8 @@
 {
   CAMLparam0();
   CAMLlocal1(cons); /* head cell of new list */
-  cons = alloc(2, 0); /* :: */
-  Store_field(cons, 0, copy_string(val)); /* value :: */
+  cons = caml_alloc(2, 0); /* :: */
+  Store_field(cons, 0, caml_copy_string(val)); /* value :: */
   Store_field(cons, 1, *((value *) res)); /* :: previous list */
   *((value *) res) = cons;
   CAMLreturn(1);
@@ -101,7 +101,7 @@
   CAMLparam2(tv, str);
   CAMLlocal1(res); /* list */
   table *t = Table_val(tv);
-  char *key = String_val(str);
+  char *key = Bytes_val(str);
   res = Val_int(0); /* empty list [] */
 
   /* Only iterates over values associated with [key]. */
@@ -116,11 +116,11 @@
 {
   CAMLparam0();
   CAMLlocal2(cons, pair);
-  pair = alloc_tuple(2); /* (,) */
-  Store_field(pair, 0, copy_string(key));
-  Store_field(pair, 1, copy_string(val));
+  pair = caml_alloc_tuple(2); /* (,) */
+  Store_field(pair, 0, caml_copy_string(key));
+  Store_field(pair, 1, caml_copy_string(val));
 /*   fprintf(stderr, "(%s, %s)\n", key, val); /\* DEBUG *\/ */
-  cons = alloc(2, 0); /* :: */
+  cons = caml_alloc(2, 0); /* :: */
   Store_field(cons, 0, pair); /* pair :: */
   Store_field(cons, 1, *((value *) res)); /* :: list */
   *((value *) res) = cons;
@@ -176,9 +176,9 @@
   CAMLparam1(sv);
   server_rec *s = Server_rec_val(sv);
   if (s->server_hostname)
-    CAMLreturn(copy_string(s->server_hostname));
+    CAMLreturn(caml_copy_string(s->server_hostname));
   else
-    raise_not_found ();
+    caml_raise_not_found ();
 }
 
 CAMLprim value
@@ -187,9 +187,9 @@
   CAMLparam1(sv);
   server_rec *s = Server_rec_val(sv);
   if (s->server_admin)
-    CAMLreturn(copy_string(s->server_admin));
+    CAMLreturn(caml_copy_string(s->server_admin));
   else
-    raise_not_found();
+    caml_raise_not_found();
 }
 
 CAMLprim value
@@ -209,9 +209,9 @@
   CAMLparam1 (cv);                              \
   conn_rec *c = Conn_rec_val (cv);              \
   if (c->field)                                 \
-    CAMLreturn (copy_string (c->field));        \
+    CAMLreturn (caml_copy_string (c->field));        \
   else                                          \
-    raise_not_found ();                         \
+    caml_raise_not_found ();                         \
 }
 
 #if AP_SERVER_MAJORVERSION_NUMBER == 1
@@ -258,7 +258,7 @@
   if (rr)
     CAMLreturn (Val_request_rec (rr));
   else
-    raise_not_found ();
+    caml_raise_not_found ();
 }
 
 CAMLprim value
@@ -269,7 +269,7 @@
   if (rr)
     CAMLreturn (Val_request_rec (rr));
   else
-    raise_not_found ();
+    caml_raise_not_found ();
 }
 
 CAMLprim value
@@ -280,7 +280,7 @@
   if (rr)
     CAMLreturn (Val_request_rec (rr));
   else
-    raise_not_found ();
+    caml_raise_not_found ();
 }
 
 CAMLprim value
@@ -289,9 +289,9 @@
   CAMLparam1 (rv);
   request_rec *r = Request_rec_val (rv);
   if (r->the_request)
-    CAMLreturn (copy_string (r->the_request));
+    CAMLreturn (caml_copy_string (r->the_request));
   else
-    raise_not_found ();
+    caml_raise_not_found ();
 }
 
 CAMLprim value
@@ -316,9 +316,9 @@
   CAMLparam1 (rv);
   request_rec *r = Request_rec_val (rv);
   if (r->protocol)
-    CAMLreturn (copy_string (r->protocol));
+    CAMLreturn (caml_copy_string (r->protocol));
   else
-    raise_not_found ();
+    caml_raise_not_found ();
 }
 
 CAMLprim value
@@ -335,9 +335,9 @@
   CAMLparam1 (rv);
   request_rec *r = Request_rec_val (rv);
   if (r->hostname)
-    CAMLreturn (copy_string (r->hostname));
+    CAMLreturn (caml_copy_string (r->hostname));
   else
-    raise_not_found ();
+    caml_raise_not_found ();
 }
 
 CAMLprim value
@@ -345,7 +345,7 @@
 {
   CAMLparam1 (rv);
   request_rec *r = Request_rec_val (rv);
-  CAMLreturn (copy_double ((double) r->request_time));
+  CAMLreturn (caml_copy_double ((double) r->request_time));
 }
 
 CAMLprim value
@@ -354,9 +354,9 @@
   CAMLparam1 (rv);
   request_rec *r = Request_rec_val (rv);
   if (r->status_line)
-    CAMLreturn (copy_string (r->status_line));
+    CAMLreturn (caml_copy_string (r->status_line));
   else
-    raise_not_found ();
+    caml_raise_not_found ();
 }
 
 CAMLprim value
@@ -390,7 +390,7 @@
 {
   CAMLparam1 (rv);
   request_rec *r = Request_rec_val (rv);
-  CAMLreturn (copy_string (r->method));
+  CAMLreturn (caml_copy_string (r->method));
 }
 
 CAMLprim value
@@ -447,9 +447,9 @@
   CAMLparam1 (rv);
   request_rec *r = Request_rec_val (rv);
   if (r->content_type)
-    CAMLreturn (copy_string (r->content_type));
+    CAMLreturn (caml_copy_string (r->content_type));
   else
-    raise_not_found ();
+    caml_raise_not_found ();
 }
 
 CAMLprim value
@@ -468,13 +468,13 @@
   request_rec *r = Request_rec_val (rv);
 #if APACHE2
   if (r->user)
-    CAMLreturn (copy_string (r->user));
+    CAMLreturn (caml_copy_string (r->user));
 #else
   if (r->connection->user)
-    CAMLreturn (copy_string (r->connection->user));
+    CAMLreturn (caml_copy_string (r->connection->user));
 #endif
   else
-    raise_not_found ();
+    caml_raise_not_found ();
 }
 
 CAMLprim value
@@ -483,9 +483,9 @@
   CAMLparam1 (rv);
   request_rec *r = Request_rec_val (rv);
   if (r->uri)
-    CAMLreturn (copy_string (r->uri));
+    CAMLreturn (caml_copy_string (r->uri));
   else
-    raise_not_found ();
+    caml_raise_not_found ();
 }
 
 CAMLprim value
@@ -513,9 +513,9 @@
   CAMLparam1 (rv);
   request_rec *r = Request_rec_val (rv);
   if (r->filename)
-    CAMLreturn (copy_string (r->filename));
+    CAMLreturn (caml_copy_string (r->filename));
   else
-    raise_not_found ();
+    caml_raise_not_found ();
 }
 
 CAMLprim value
@@ -533,9 +533,9 @@
   CAMLparam1 (rv);
   request_rec *r = Request_rec_val (rv);
   if (r->path_info)
-    CAMLreturn (copy_string (r->path_info));
+    CAMLreturn (caml_copy_string (r->path_info));
   else
-    raise_not_found ();
+    caml_raise_not_found ();
 }
 
 CAMLprim value
@@ -553,9 +553,9 @@
   CAMLparam1 (rv);
   request_rec *r = Request_rec_val (rv);
   if (r->args)
-    CAMLreturn (copy_string (r->args));
+    CAMLreturn (caml_copy_string (r->args));
   else
-    raise_not_found ();
+    caml_raise_not_found ();
 }
 
 CAMLprim value
@@ -595,16 +595,16 @@
   if (r->finfo.filetype != APR_NOFILE) /* Some statbuf */
     {
       atime = (r->finfo.valid & APR_FINFO_ATIME) ?
-	copy_double ((double) apr_time_sec (r->finfo.atime)) :
-	copy_double (0.);
+	caml_copy_double ((double) apr_time_sec (r->finfo.atime)) :
+	caml_copy_double (0.);
       mtime = (r->finfo.valid & APR_FINFO_MTIME) ?
-	copy_double ((double) apr_time_sec (r->finfo.mtime)) :
-	copy_double (0.);
+	caml_copy_double ((double) apr_time_sec (r->finfo.mtime)) :
+	caml_copy_double (0.);
       ctime = (r->finfo.valid & APR_FINFO_CTIME) ?
-	copy_double ((double) apr_time_sec (r->finfo.ctime)) :
-	copy_double (0.);
+	caml_copy_double ((double) apr_time_sec (r->finfo.ctime)) :
+	caml_copy_double (0.);
 
-      sb = alloc_small (12, 0);
+      sb = caml_alloc_small (12, 0);
       Field (sb, 0) = Val_int (r->finfo.device);
       Field (sb, 1) = Val_int (r->finfo.inode);
       Field (sb, 2) =
@@ -621,7 +621,7 @@
       Field (sb, 10) = mtime;
       Field (sb, 11) = ctime;
 
-      v = alloc (1, 0);		/* The "Some" block. */
+      v = caml_alloc (1, 0);		/* The "Some" block. */
       Field (v, 0) = sb;
     }
 else
@@ -632,11 +632,11 @@
   if (r->finfo.st_mode)		/* Some statbuf */
     {
       /* This code copied and modified from otherlibs/unix/stat.c. */
-      atime = copy_double ((double) r->finfo.st_atime);
-      mtime = copy_double ((double) r->finfo.st_mtime);
-      ctime = copy_double ((double) r->finfo.st_ctime);
+      atime = caml_copy_double ((double) r->finfo.st_atime);
+      mtime = caml_copy_double ((double) r->finfo.st_mtime);
+      ctime = caml_copy_double ((double) r->finfo.st_ctime);
 
-      sb = alloc_small (12, 0);
+      sb = caml_alloc_small (12, 0);
       Field (sb, 0) = Val_int (r->finfo.st_dev);
       Field (sb, 1) = Val_int (r->finfo.st_ino);
       Field (sb, 2) =
@@ -652,7 +652,7 @@
       Field (sb, 10) = mtime;
       Field (sb, 11) = ctime;
 
-      v = alloc (1, 0);		/* The "Some" block. */
+      v = caml_alloc (1, 0);		/* The "Some" block. */
       Field (v, 0) = sb;
     }
   else
@@ -718,8 +718,8 @@
     caml_failwith("ap_get_client_block");
   }
 
-  str = alloc_string (i);
-  memcpy (String_val (str), buffer, i);
+  str = caml_alloc_string (i);
+  memcpy (Bytes_val (str), buffer, i);
 
   CAMLreturn (str);
 }
@@ -734,7 +734,7 @@
   int len = Int_val(lenv);
   int i;
 
-  i = ap_get_client_block (r, String_val(bufv) + ofs, len);
+  i = ap_get_client_block (r, Bytes_val(bufv) + ofs, len);
   /* Error dealt with on the Caml side. */
   CAMLreturn(Val_int(i));
 }
@@ -755,13 +755,13 @@
   request_rec *r = Request_rec_val(rv);
 #if APACHE2
   if (r->ap_auth_type)
-    CAMLreturn(copy_string(r->ap_auth_type));
+    CAMLreturn(caml_copy_string(r->ap_auth_type));
 #else
   if (r->connection->ap_auth_type)
-    CAMLreturn(copy_string(r->connection->ap_auth_type));
+    CAMLreturn(caml_copy_string(r->connection->ap_auth_type));
 #endif
   else
-    raise_not_found();
+    caml_raise_not_found();
 }
 
 
@@ -803,7 +803,7 @@
   /* Return [i] as the first component of a couple so we can deal with
    * the possible errors on the Caml side. */
   if (i == DECLINED) pw = NULL;	/* FIXME */
-  c = alloc_tuple (2);
+  c = caml_alloc_tuple (2);
   Store_field(c, 0, Val_int(i));
   Store_field(c, 1, Val_optstring(pw));
   CAMLreturn (c);
@@ -834,7 +834,7 @@
   request_rec *r = Request_rec_val (rv);
   int c = Int_val (cv);
   if (ap_rputc (c, r) == EOF)
-    raise_sys_error(copy_string("Netcgi_mod#out_channel#output_char"));
+    caml_raise_sys_error(caml_copy_string("Netcgi_mod#out_channel#output_char"));
   CAMLreturn (Val_unit);
 }
 
@@ -855,8 +855,8 @@
 {
   value f = *(value *) fv;
 
-  callback (f, Val_unit);
-  remove_global_root ((value *) fv);
+  caml_callback (f, Val_unit);
+  caml_remove_global_root ((value *) fv);
   return OK;
 }
 
@@ -868,7 +868,7 @@
   value *v = (value *) apr_palloc (r->pool, sizeof (value));
 
   *v = f;
-  register_global_root (v);
+  caml_register_global_root (v);
 
 #if APACHE2
   apr_pool_cleanup_register (r->pool, v, run_cleanup, apr_pool_cleanup_null);
@@ -894,7 +894,7 @@
     else goto not_found;
   } else
   not_found:
-    raise_not_found ();
+    caml_raise_not_found ();
   CAMLreturn (config);
 }
 
@@ -910,6 +910,6 @@
     else goto not_found;
   } else
   not_found:
-    raise_not_found ();
+    caml_raise_not_found ();
   CAMLreturn (config);
 }
diff -ruN --no-dereference --exclude=*.rej --exclude=*.orig --exclude=*.c.orig ocamlnet-4.1.9.clean/src/netcgi2-apache/handler.c ocamlnet-4.1.9.patched/src/netcgi2-apache/handler.c
--- src/netcgi2-apache/handler.c	2021-03-24 16:20:14
+++ src/netcgi2-apache/handler.c	2026-05-29 06:32:10
@@ -177,10 +177,10 @@
 {
   value arg = Val_optstring (dirname);
   value *v = alloc_root_value (p);
-  static value *f = NULL;
+  static const value *f = NULL;
 
   if(f == NULL) f = caml_named_value("netcgi2_apache_create_dir_config");
-  *v = callback(*f, arg);
+  *v = caml_callback(*f, arg);
   return v;
 }
 
@@ -188,10 +188,10 @@
 merge_dir_config (apr_pool_t *p, void *base, void *add)
 {
   value *v = alloc_root_value (p);
-  static value *f = NULL;
+  static const value *f = NULL;
 
   if(f == NULL) f = caml_named_value("netcgi2_apache_merge_dir_config");
-  *v = callback2(*f, *(value *) base, *(value *) add);
+  *v = caml_callback2(*f, *(value *) base, *(value *) add);
   return v;
 }
 
@@ -200,10 +200,10 @@
 {
   value arg = Val_server_rec (s);
   value *v = alloc_root_value (p);
-  static value *f = NULL;
+  static const value *f = NULL;
 
   if(f == NULL) f = caml_named_value("netcgi2_apache_create_server_config");
-  *v = callback(*f, arg);
+  *v = caml_callback(*f, arg);
   return v;
 }
 
@@ -211,10 +211,10 @@
 merge_server_config (apr_pool_t *p, void *base, void *add)
 {
   value *v = alloc_root_value (p);
-  static value *f = NULL;
+  static const value *f = NULL;
 
   if(f == NULL) f = caml_named_value("netcgi2_apache_merge_server_config");
-  *v = callback2(*f, *(value *) base, *(value *) add);
+  *v = caml_callback2(*f, *(value *) base, *(value *) add);
   return v;
 }
 
@@ -244,7 +244,7 @@
 #define MAKE_HANDLER(name)					\
 static int name (request_rec *r)				\
 {								\
-  static value *f = NULL;					\
+  static const value *f = NULL;					\
   value rv, arg;						\
   if (f == NULL) f = caml_named_value("netcgi2_apache_" #name);	\
   assert(f);							\
@@ -274,8 +274,8 @@
 static const char *                                                    \
 name (cmd_parms *parms, void *dummy, const char *strarg)               \
 {                                                                      \
-  static value *f = NULL;                                              \
-  value arg = copy_string (strarg);                                    \
+  static const value *f = NULL;                                              \
+  value arg = caml_copy_string (strarg);                                    \
   value exn;                                                           \
   if (f == NULL) f = caml_named_value("netcgi2_apache_" #name);        \
   exn = callback_exn(*f, arg);                                         \
@@ -296,11 +296,11 @@
 {
   value *sconfig = (value *)
     ap_get_module_config (parms->server->module_config, &netcgi_module);
-  static value *f = NULL;
-  value arg = copy_string(name);
+  static const value *f = NULL;
+  value arg = caml_copy_string(name);
   value exn;
   if (f == NULL) f = caml_named_value("netcgi2_apache_cmd_translate_handler");
-  exn = callback2_exn(*f, *sconfig, arg);
+  exn = caml_callback2_exn(*f, *sconfig, arg);
   if (Is_exception_result (exn))
     /* FIXME: ap_pstrdup into pool? */
     return caml_format_exception (Extract_exception (exn));
@@ -312,11 +312,11 @@
 static const char *						\
 name (cmd_parms *parms, void *dconfig, const char *name)	\
 {								\
-  value *f = NULL;						\
-  value arg = copy_string(name);				\
+  const value *f = NULL;						\
+  value arg = caml_copy_string(name);				\
   value exn;							\
   if (f == NULL) f = caml_named_value("netcgi2_apache_" #name);	\
-  exn = callback2_exn(*f, *(value *) dconfig, arg);		\
+  exn = caml_callback2_exn(*f, *(value *) dconfig, arg);		\
   if (Is_exception_result (exn))				\
     /* FIXME: ap_pstrdup into pool? */				\
     return caml_format_exception (Extract_exception (exn));	\
diff -ruN --no-dereference --exclude=*.rej --exclude=*.orig --exclude=*.c.orig ocamlnet-4.1.9.clean/src/netcgi2-apache/netcgi_apache_mod.ml.in ocamlnet-4.1.9.patched/src/netcgi2-apache/netcgi_apache_mod.ml.in
--- src/netcgi2-apache/netcgi_apache_mod.ml.in	2021-03-24 16:20:14
+++ src/netcgi2-apache/netcgi_apache_mod.ml.in	2026-05-29 06:32:02
@@ -462,7 +462,7 @@
       if Filename.is_relative filename then
         Filename.concat Conf.ocaml_libdir filename
       else filename in
-    reg_module_name := Some(String.capitalize(Filename.chop_extension
+    reg_module_name := Some(String.capitalize_ascii(Filename.chop_extension
                                                (Filename.basename filename)));
     try  Dynlink.loadfile filename;
     with Dynlink.Error(e) ->
@@ -520,7 +520,7 @@
 		 (fun arch -> 
 		    let arch' = Findlib.resolve_path ~base:d arch in
 		    reg_module_name := 
-		      Some(String.capitalize(Filename.chop_extension
+		      Some(String.capitalize_ascii(Filename.chop_extension
 					       (Filename.basename arch')));
 		    try Dynlink.loadfile arch';
 		    with Dynlink.Error(e) ->
@@ -624,4 +624,3 @@
 let _lexing_lexeme_ = Lexing.lexeme
 let _queue_create_ = Queue.create
 let _stack_create_ = Stack.create
-let _stream_sempty_ = Stream.sempty
diff -ruN --no-dereference --exclude=*.rej --exclude=*.orig --exclude=*.c.orig ocamlnet-4.1.9.clean/src/netcgi2-apache/wrappers.c ocamlnet-4.1.9.patched/src/netcgi2-apache/wrappers.c
--- src/netcgi2-apache/wrappers.c	2021-03-24 16:20:14
+++ src/netcgi2-apache/wrappers.c	2026-05-29 06:32:02
@@ -28,7 +28,7 @@
 value
 Val_voidptr (void *ptr)
 {
-  value rv = alloc (1, Abstract_tag); /* XXX Is this correct? */
+  value rv = caml_alloc (1, Abstract_tag); /* XXX Is this correct? */
   Field(rv, 0) = (value) ptr;
   return rv;
 }
@@ -40,8 +40,8 @@
     {
       CAMLparam0();
       CAMLlocal2(rv, s);
-      s = copy_string (str);
-      rv = alloc_small (1, 0);
+      s = caml_copy_string (str);
+      rv = caml_alloc_small (1, 0);
       Field(rv, 0) = s;
       CAMLreturn(rv);
     }
diff -ruN --no-dereference --exclude=*.rej --exclude=*.orig --exclude=*.c.orig ocamlnet-4.1.9.clean/src/netgss-system/META.in ocamlnet-4.1.9.patched/src/netgss-system/META.in
--- src/netgss-system/META.in	2021-03-24 16:20:15
+++ src/netgss-system/META.in	2026-05-29 06:31:43
@@ -1,5 +1,5 @@
 description = "Ocamlnet - GSSAPI bindings"
-requires = "unix,bigarray,netsys,netstring"
+requires = "unix,netsys,netstring"
 version = "@VERSION@"
 archive(byte) = "netgss-system.cma"
 archive(native) = "netgss-system.cmxa"
diff -ruN --no-dereference --exclude=*.rej --exclude=*.orig --exclude=*.c.orig ocamlnet-4.1.9.clean/src/netgss-system/gssapi.c ocamlnet-4.1.9.patched/src/netgss-system/gssapi.c
--- src/netgss-system/gssapi.c	2021-03-24 16:20:15
+++ src/netgss-system/gssapi.c	2026-05-29 06:31:44
@@ -59,7 +59,7 @@
                 fprintf(stderr, "Netgss: error from gss_release_buffer\n");
         } else {
             if (tag == 1) {
-                stat_free(buf->value);
+                caml_stat_free(buf->value);
             }
         }
     }
@@ -71,13 +71,13 @@
 static void netgss_free_buffer(long tag, gss_buffer_t buf) {
     netgss_free_buffer_contents(tag, buf);
     /* The descriptor is always allocated by us: */
-    stat_free(buf);
+    caml_stat_free(buf);
 }
 
 
 static gss_buffer_t netgss_alloc_buffer(void) {
     gss_buffer_t buf;
-    buf = (gss_buffer_t) stat_alloc(sizeof(gss_buffer_desc));
+    buf = (gss_buffer_t) caml_stat_alloc(sizeof(gss_buffer_desc));
     buf->value = NULL;
     buf->length = 0;
     return buf;
@@ -105,10 +105,10 @@
     gss_buffer_t buf;
     if (Long_val(len) < 0 || Long_val(pos) < 0 ||
         Long_val(pos) > caml_string_length(s) - Long_val(len))
-        invalid_argument("buffer_of_string");
+        caml_invalid_argument("buffer_of_string");
     buf = netgss_alloc_buffer();
     buf->length = Long_val(len);
-    buf->value = stat_alloc(buf->length);
+    buf->value = caml_stat_alloc(buf->length);
     memcpy(buf->value, String_val(s) + Long_val(pos), buf->length);
     return twrap_gss_buffer_t(1, buf);
 }
@@ -155,14 +155,14 @@
     if (tag == 0 || buf == GSS_C_NO_OID) {
         /* OIDs from the provider are to be considered as read-only */
     } else {
-        stat_free(buf->elements);
-        stat_free(buf);
+        caml_stat_free(buf->elements);
+        caml_stat_free(buf);
     }
 }
 
 
 static gss_OID netgss_alloc_oid(void) {
-    return (gss_OID) stat_alloc(sizeof(gss_OID_desc));
+    return (gss_OID) caml_stat_alloc(sizeof(gss_OID_desc));
 }
 
 
@@ -173,7 +173,7 @@
     } else {
         out = netgss_alloc_oid();
         out->length = buf->length;
-        out->elements = stat_alloc(buf->length);
+        out->elements = caml_stat_alloc(buf->length);
         memcpy(out->elements, buf->elements, buf->length);
     }
     return out;
@@ -184,7 +184,7 @@
     gss_OID buf;
     buf = netgss_alloc_oid();
     buf->length = caml_string_length(s);
-    buf->elements = stat_alloc(buf->length);
+    buf->elements = caml_stat_alloc(buf->length);
     memcpy(buf->elements, String_val(s), buf->length);
     return twrap_gss_OID(1, buf);
 }
@@ -213,14 +213,14 @@
         for (k=0; k < set->count; k++) {
             netgss_free_oid(1, set->elements+k);
         }
-        stat_free(set->elements);
-        stat_free(set);
+        caml_stat_free(set->elements);
+        caml_stat_free(set);
     }
 }
 
 
 static gss_OID_set netgss_alloc_oid_set(void) {
-    return (gss_OID_set) stat_alloc(sizeof(gss_OID_set_desc));
+    return (gss_OID_set) caml_stat_alloc(sizeof(gss_OID_set_desc));
 }
 
 
@@ -254,7 +254,7 @@
         return twrap_gss_OID_set(1, GSS_C_NO_OID_SET);
     set = netgss_alloc_oid_set();
     set->count = Wosize_val(varg);
-    set->elements = stat_alloc(sizeof(gss_OID) * set->count);
+    set->elements = caml_stat_alloc(sizeof(gss_OID) * set->count);
     for (k=0; k<set->count; k++) {
         v1 = Field(varg, k);
         buf = unwrap_gss_OID(v1);
@@ -308,17 +308,17 @@
     aaddr_len = caml_string_length(aaddr);
     data_len = caml_string_length(data);
     cb = (gss_channel_bindings_t)
-            stat_alloc(sizeof(struct gss_channel_bindings_struct));
+            caml_stat_alloc(sizeof(struct gss_channel_bindings_struct));
     cb->initiator_addrtype = Int_val(iaddrty);
     cb->initiator_address.length = iaddr_len;
-    cb->initiator_address.value = stat_alloc(iaddr_len);
+    cb->initiator_address.value = caml_stat_alloc(iaddr_len);
     memcpy(cb->initiator_address.value, String_val(iaddr), iaddr_len);
     cb->acceptor_addrtype = Int_val(aaddrty);
     cb->acceptor_address.length = aaddr_len;
-    cb->acceptor_address.value = stat_alloc(aaddr_len);
+    cb->acceptor_address.value = caml_stat_alloc(aaddr_len);
     memcpy(cb->acceptor_address.value, String_val(aaddr), aaddr_len);
     cb->application_data.length = data_len;
-    cb->application_data.value = stat_alloc(data_len);
+    cb->application_data.value = caml_stat_alloc(data_len);
     memcpy(cb->application_data.value, String_val(data), data_len);
     return wrap_gss_channel_bindings_t(cb);
 }
@@ -364,8 +364,8 @@
 
 static void netgss_free_cb(gss_channel_bindings_t x) {
     if (x != NULL) {
-        stat_free(x->initiator_address.value);
-        stat_free(x->acceptor_address.value);
-        stat_free(x->application_data.value);
+        caml_stat_free(x->initiator_address.value);
+        caml_stat_free(x->acceptor_address.value);
+        caml_stat_free(x->application_data.value);
     }
 }
diff -ruN --no-dereference --exclude=*.rej --exclude=*.orig --exclude=*.c.orig ocamlnet-4.1.9.clean/src/netgss-system/reconfigure ocamlnet-4.1.9.patched/src/netgss-system/reconfigure
--- src/netgss-system/reconfigure	2021-03-24 16:20:15
+++ src/netgss-system/reconfigure	2026-05-29 06:31:44
@@ -133,7 +133,7 @@
 
 rm -f config_checks.sh
 echo "$ ocaml -I ../../tools gssapi.descr" >>$log
-ocaml -I ../../tools gssapi.descr || exit 1
+ocaml -I +str -I ../../tools gssapi.descr || exit 1
 
 . ./config_checks.sh
 
diff -ruN --no-dereference --exclude=*.rej --exclude=*.orig --exclude=*.c.orig ocamlnet-4.1.9.clean/src/nethttpd/nethttpd_services.ml ocamlnet-4.1.9.patched/src/nethttpd/nethttpd_services.ml
--- src/nethttpd/nethttpd_services.ml	2021-03-24 16:20:14
+++ src/nethttpd/nethttpd_services.ml	2026-05-29 06:31:44
@@ -107,10 +107,10 @@
       try
 	let req_name = env # input_header_field "Host" in
 	let (req_host, req_port_opt) = split_host_port req_name in
-	let req_host = String.lowercase req_host in
+        let req_host = String.lowercase_ascii req_host in
 	let req_port = match req_port_opt with Some p -> p | None -> 80 in  (* CHECK *)
 	List.find
-	  (fun (n,p) -> (n = "*" || String.lowercase n = req_host) && 
+          (fun (n,p) -> (n = "*" || String.lowercase_ascii n = req_host) &&
 	                (p = 0 || p = req_port))
 	  host.server_names
       with
diff -ruN --no-dereference --exclude=*.rej --exclude=*.orig --exclude=*.c.orig ocamlnet-4.1.9.clean/src/netplex/Makefile ocamlnet-4.1.9.patched/src/netplex/Makefile
--- src/netplex/Makefile	2021-03-24 16:20:15
+++ src/netplex/Makefile	2026-05-29 06:31:44
@@ -36,7 +36,7 @@
 
 netplex-admin$(EXEC_SUFFIX): netplex.cma netplex_admin.cmo
 	$(OCAMLC) -o netplex-admin -custom \
-	        -package "bytes unix bigarray str" -linkpkg \
+	        -package "bytes unix str" -linkpkg \
 		netsys_oothr.cma netsys.cma netstring.cma equeue.cma \
 		rpc.cma netplex.cma netplex_admin.cmo
 
